Package: org.grails.core.support

## [Groovy] Interface GrailsApplicationDiscoveryStrategy

-     interface GrailsApplicationDiscoveryStrategy

  Interface used for classes that discover the GrailsApplication and ApplicationContext instances

  Since:
    2.4

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract org.springframework.context.ApplicationContext` | `findApplicationContext()` Returns: Find the ApplicationContext instance
    `` | `abstract GrailsApplication` | `findGrailsApplication()` Returns: Find the GrailsApplication instance

- - ### Method Detail

    - #### abstract org.springframework.context.ApplicationContext findApplicationContext()

      throws:
        IllegalStateException If the application could not be found due to misconfiguration
      Returns:
        Find the ApplicationContext instance

    - #### abstract GrailsApplication findGrailsApplication()

      throws:
        IllegalStateException If the application could not be found due to misconfiguration
      Returns:
        Find the GrailsApplication instance